#ifndef QTELSALEPOLICYINFOQUERY_H
#define QTELSALEPOLICYINFOQUERY_H

#include <vector>
#include <QtWidgets/QtWidgets>
#include "DataManipulation.h"
#include "ui_QTelSalePolicyInfoQuery.h"

class QTelSalePolicyInfoQuery : public QWidget, public Ui::QTelSalePolicyInfoQuery
{
	Q_OBJECT

public:
	QTelSalePolicyInfoQuery(QWidget *parent = 0);
	~QTelSalePolicyInfoQuery();

protected Q_SLOTS:
	void onOperatorCodeEditing(const QString & text);
	void onOperatorCodeEdited();

	void onQuery();
	void onReset();

private:
	void init();
	void initWidget();
	void initSignal();

	void showData( std::vector<SPolicyQuery> & vPolicy );
};

#endif // QTELSALEPOLICYINFOQUERY_H
